## cvsobel cvsobel — Applies cvSobel OpenCV function to the image |

## Synopsis

    struct              GstCvSobel;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstOpencvVideoFilter
                                           +----GstCvSobel

## Properties

      "aperture-size"            gint                  : Read / Write
      "x-order"                  gint                  : Read / Write
      "y-order"                  gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | opencv
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)GRAY8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)GRAY16_LE, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstCvSobel

    struct GstCvSobel;

## Property Details

### The `"aperture-size"` property

      "aperture-size"            gint                  : Read / Write

Size of the extended Sobel Kernel (1, 3, 5 or 7).

Allowed values: [1,7]

Default value: 3

### The `"x-order"` property

      "x-order"                  gint                  : Read / Write

Order of the derivative x.

Allowed values: >= G_MAXULONG

Default value: 1

### The `"y-order"` property

      "y-order"                  gint                  : Read / Write

Order of the derivative y.

Allowed values: >= G_MAXULONG

Default value: 0